import { OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { DropdownOption } from '../../models/dropdown-option';
import { DropdownSelectionChange } from '../../models/dropdown-selection-change';
import * as i0 from "@angular/core";
export declare class EiffageBasicSelect implements OnInit {
    readonly options: import("@angular/core").InputSignal<DropdownOption[]>;
    readonly selectedOptions: import("@angular/core").InputSignal<DropdownOption[] | undefined>;
    readonly label: import("@angular/core").InputSignal<string>;
    readonly control: import("@angular/core").InputSignal<FormControl<any>>;
    readonly placeholder: import("@angular/core").InputSignal<string>;
    readonly multiple: import("@angular/core").InputSignal<boolean>;
    readonly clearable: import("@angular/core").InputSignal<boolean>;
    readonly error: import("@angular/core").InputSignal<string>;
    readonly disabled: import("@angular/core").InputSignal<boolean>;
    readonly selectionChange: import("@angular/core").OutputEmitterRef<DropdownSelectionChange>;
    readonly resetInput: import("@angular/core").OutputEmitterRef<void>;
    private searchInput;
    ngOnInit(): void;
    clearInput(): void;
    numberVisibleOptions(): number;
    includeInFilter(option: DropdownOption): boolean;
    onClearSelect(): void;
    onSelectionChange(value: DropdownSelectionChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EiffageBasicSelect, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EiffageBasicSelect, "eiffage-basic-select", never, { "options": { "alias": "options"; "required": true; "isSignal": true; }; "selectedOptions": { "alias": "selectedOptions"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": true; "isSignal": true; }; "control": { "alias": "control"; "required": true; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "multiple": { "alias": "multiple"; "required": false; "isSignal": true; }; "clearable": { "alias": "clearable"; "required": false; "isSignal": true; }; "error": { "alias": "error"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, { "selectionChange": "selectionChange"; "resetInput": "resetInput"; }, never, never, true, never>;
}
